WritingModeTraitsSetter (Apache FOP Core 2.11 API)
Date: 2025-04-24

org.apache.fop.traits

## Interface WritingModeTraitsSetter

- All Superinterfaces:
    WritingModeTraitsGetter
  All Known Implementing Classes:
    WritingModeTraits

      public interface WritingModeTraitsSetter
      extends WritingModeTraitsGetter

  This interface provides read and assignment access to FO traits related to writing mode.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `assignWritingModeTraits(WritingMode writingMode, boolean explicit)` Collectivelly assign values to all writing mode traits based upon a specific writing mode.
    `void` | `setBlockProgressionDirection(Direction direction)` Set value of block-progression-direction trait.
    `void` | `setColumnProgressionDirection(Direction direction)` Set value of column-progression-direction trait.
    `void` | `setInlineProgressionDirection(Direction direction)` Set value of inline-progression-direction trait.
    `void` | `setRowProgressionDirection(Direction direction)` Set value of row-progression-direction trait.
    `void` | `setShiftDirection(Direction direction)` Set value of shift-direction trait.
    `void` | `setWritingMode(WritingMode writingMode, boolean explicit)` Set value of writing-mode trait.

    - ### Methods inherited from interface org.apache.fop.traits.WritingModeTraitsGetter

      `getBlockProgressionDirection, getColumnProgressionDirection, getExplicitWritingMode, getInlineProgressionDirection, getRowProgressionDirection, getShiftDirection, getWritingMode`

- - ### Method Detail

    - #### setInlineProgressionDirection

          void setInlineProgressionDirection(Direction direction)

      Set value of inline-progression-direction trait.
      Parameters:
        `direction` - the "inline-progression-direction" trait

    - #### setBlockProgressionDirection

          void setBlockProgressionDirection(Direction direction)

      Set value of block-progression-direction trait.
      Parameters:
        `direction` - the "block-progression-direction" trait

    - #### setColumnProgressionDirection

          void setColumnProgressionDirection(Direction direction)

      Set value of column-progression-direction trait.
      Parameters:
        `direction` - the "column-progression-direction" trait

    - #### setRowProgressionDirection

          void setRowProgressionDirection(Direction direction)

      Set value of row-progression-direction trait.
      Parameters:
        `direction` - the "row-progression-direction" trait

    - #### setShiftDirection

          void setShiftDirection(Direction direction)

      Set value of shift-direction trait.
      Parameters:
        `direction` - the "shift-direction" trait

    - #### setWritingMode

          void setWritingMode(WritingMode writingMode,
                              boolean explicit)

      Set value of writing-mode trait.
      Parameters:
        `writingMode` - the "writing-mode" trait

    - #### assignWritingModeTraits

          void assignWritingModeTraits(WritingMode writingMode,
                                       boolean explicit)

      Collectivelly assign values to all writing mode traits based upon a specific writing mode.
      Parameters:
        `writingMode` - the "writing-mode" trait
        `explicit` - true if writing mode explicitly specified

Copyright © 2025 Apache Software Foundation. All rights reserved.